Index: /trunk/src/org/expeditee/gui/FrameMouseActions.java
===================================================================
--- /trunk/src/org/expeditee/gui/FrameMouseActions.java	(revision 1101)
+++ /trunk/src/org/expeditee/gui/FrameMouseActions.java	(revision 1102)
@@ -1860,23 +1675,4 @@
 		updateCursor();
 		FrameGraphics.Repaint();
-	}
-
-	/**
-	 * 
-	 */
-	private static void stampItemsOnCursor(boolean save) {
-		List<Item> copies = copy(FreeItems.getInstance());
-		// MIKE: what does the below 2 lines do?
-		for (Item i : copies) {
-			i.setOffset(0, 0);
-			i.setSave(save);
-		}
-		// The below code has a little problem withflicker when stamp
-		// and dragging
-		move(FreeItems.getInstance());
-		for (Item i : copies) {
-			i.setHighlightMode(HighlightMode.None);
-		}
-		anchor(copies);
 	}
 
@@ -1907,89 +1703,11 @@
 	}
 
-	/**
-	 * Marks the items as not belonging to any specific frame. When picking up
-	 * items the parent will be automatically cleared for items on the current
-	 * frame but not for overlay items. This method ensures that overlay items
-	 * will also be cleared. This is useful when picking up copies of items from
-	 * an overlay (with the right mouse button) to ensure that the copy will be
-	 * anchored on the current frame rather than the overlay. When items are
-	 * picked up with the middle button clearParent should NOT be called.
-	 * 
-	 * @param items
-	 *            to have their parent cleared
-	 */
-	private static void clearParent(List<Item> items) {
-		for (Item i : items) {
-			// The next line is only necessary for circles...
-			// Need to clean up/refactory some of this stuff
-			i.getParentOrCurrentFrame().removeItem(i);
-			i.setParent(null);
-		}
-	}
-
-	private static boolean inWindow = false;
-	/**
-	 * event called when mouse exits window
-	 * (can't use MouseListener callback since that callback doesn't
-	 *  correctly receive all mouse exit events) 
-	 */
-	public static void mouseExitedWindow(MouseEvent e) {
-		inWindow = false;
-		// System.out.println("Left window");
-		if(FreeItems.itemsAttachedToCursor()) {
-			boolean cut = true;
-			for(Item i : FreeItems.getInstance()) {
-				for(Item j : i.getAllConnected()) {
-					if(!FreeItems.getInstance().contains(j)) {
-						cut = false;
-						break;
-					}
-				}
-			}
-			if(cut) {
-				ItemSelection.cut();
-			}
-		}
-	}
-	
-	public void mouseEntered(MouseEvent e) {
-		// check if we are entering the window from outside of the window, or if we were just over a widget
-		if(!inWindow) {
-			inWindow = true;
-			// if there is expeditee data on the clipboard that has not yet been autoPasted, autoPaste it
-    		Clipboard c = Toolkit.getDefaultToolkit().getSystemClipboard();
-    		Transferable content = c.getContents(null);
-    		try {
-    			if(content.isDataFlavorSupported(ItemSelection.expDataFlavor)) {	// Expeditee data
-    				ExpDataHandler expData = (ExpDataHandler)content.getTransferData(ItemSelection.expDataFlavor);
-    				if(expData.autoPaste) {
-        				List<Item> items = new ExpClipReader(FrameMouseActions.getX(), FrameMouseActions.getY()).read(expData.items);
-       					// generate new IDs and pickup
-       					FrameMouseActions.pickup(ItemUtils.CopyItems(items));
-       					// update the clipboard contents so they won't be autoPasted again
-       					expData.autoPaste = false;
-       					String stringData = "";
-       					Image imageData = null;
-       					if(content.isDataFlavorSupported(DataFlavor.stringFlavor)) {
-       						stringData = (String) content.getTransferData(DataFlavor.stringFlavor);
-       					}
-       					if(content.isDataFlavorSupported(DataFlavor.imageFlavor)) {
-       						imageData = (Image) content.getTransferData(DataFlavor.imageFlavor);
-       					}
-          				c.setContents(new ItemSelection(stringData, imageData, expData), null);
-    				}
-    			}
-    		} catch(Exception ex) {
-    			ex.printStackTrace(); 
-    		}
-		}
-	}
-
-	public void mouseExited(MouseEvent e) {
-	}
+//	public void mouseExited(MouseEvent e) {
+//	}
 
 	private boolean _overFrame;
 	private int panStartX, panStartY;
 	private boolean _isPanOp;
+	
 	public void mouseDragged(MouseEvent e) {
 		_lastMouseDragged = e;
@@ -1998,7 +1716,7 @@
 		// Stop the longDepress mouse timer if the user drags above a threshold
 		if (_MouseTimer.isRunning()) {
-			if (Math.abs(e.getX() - _lastMouseClick.getX())
-					+ Math.abs(e.getY() - _lastMouseClick.getY()) > 10)
+			if (Math.abs(e.getX() - _lastMouseClick.getX()) + Math.abs(e.getY() - _lastMouseClick.getY()) > 10) {
 				_MouseTimer.stop();
+			}
 		}
 
@@ -2007,8 +1725,5 @@
 		}
 
-		/*
-		 * Have the free items follow the cursor if the user clicks in freespace
-		 * then moves.
-		 */
+		// Have the free items follow the cursor if the user clicks in freespace then moves.
 		if (FreeItems.getInstance().size() > 0 && _lastClickedOn == null) {
 			mouseMoved(e);
@@ -2017,7 +1732,8 @@
 		
 		// panning the frame when dragging the mouse while shift-leftclicking
-		if(ExperimentalFeatures.MousePan.get() && _overFrame && e.isShiftDown() &&
+/*		if(ExperimentalFeatures.MousePan.get() && _overFrame && e.isShiftDown() &&
 				(e.getModifiersEx() & MouseEvent.BUTTON1_DOWN_MASK) != 0 &&
-				(_isPanOp || (Math.max(Math.abs(panStartX - e.getX()), Math.abs(panStartY - e.getY())) > 5))) {
+				(_isPanOp || (Math.max(Math.abs(panStartX - e.getX()), Math.abs(panStartY - e.getY())) > 5)))
+		{
 			int dX = (int) (e.getX() - MouseX);
 			int dY = (int) (e.getY() - MouseY);
@@ -2026,5 +1742,5 @@
 			MouseY = e.getY();
 			_isPanOp = true;
-		}
+		}*/
 
 		// check if user is dragging across a text item
@@ -2036,7 +1752,5 @@
 
 			int distance = _lastRanged.getY() - FrameMouseActions.getY();
-			if (distance <= 0)
-				distance = FrameMouseActions.getY() - _lastRanged.getY()
-						- _lastRanged.getBoundsHeight();
+			if (distance <= 0) distance = FrameMouseActions.getY() - _lastRanged.getY() - _lastRanged.getBoundsHeight();
 
 			if (distance > UserSettings.NoOpThreshold.get()) {
@@ -2045,11 +1759,9 @@
 			} else {
 				// update the ranged section
-				_lastRanged.setSelectionEnd(DisplayIO.getMouseX(),
-						FrameMouseActions.getY());
+				_lastRanged.setSelectionEnd(DisplayIO.getMouseX(), DisplayIO.getMouseY());
 				_isNoOp = false;
 			}
 
-			DisplayIO.setTextCursor(_lastRanged, Text.NONE, false, e
-					.isShiftDown(), e.isControlDown(), false);
+			DisplayIO.setTextCursor(_lastRanged, Text.NONE, false, e.isShiftDown(), e.isControlDown(), false);
 			FrameGraphics.Repaint();
 			return;
@@ -2058,6 +1770,5 @@
 		// if the user is dragging across a picture
 		if (_lastCropped != null) {
-			// If shift is down then the distance moved is the same in the x and
-			// y
+			// If shift is down then the distance moved is the same in the x and y
 			MouseX = e.getX();
 			MouseY = e.getY();
@@ -2067,14 +1778,11 @@
 				int deltaY = Math.abs(e.getY() - _lastMouseClick.getY());
 				if (deltaX > deltaY) {
-					MouseY = _lastMouseClick.getY() + deltaX
-							* (e.getY() > _lastMouseClick.getY() ? 1 : -1);
+					MouseY = _lastMouseClick.getY() + deltaX * (e.getY() > _lastMouseClick.getY() ? 1 : -1);
 				} else {
-					MouseX = _lastMouseClick.getX() + deltaY
-							* (e.getX() > _lastMouseClick.getX() ? 1 : -1);
+					MouseX = _lastMouseClick.getX() + deltaY * (e.getX() > _lastMouseClick.getX() ? 1 : -1);
 				}
 			}
 			// update the ranged section
-			_lastCropped.setEndCrop(DisplayIO.getMouseX(), FrameMouseActions
-					.getY());
+			_lastCropped.setEndCrop(DisplayIO.getMouseX(), DisplayIO.getMouseY());
 
 			FrameGraphics.Repaint();
@@ -2082,12 +1790,11 @@
 		}
 
-		/*
-		 * This is the context of a user clicking in freespace an dragging onto
-		 * the edge of a line
-		 */
-		if ((_mouseDown == MouseEvent.BUTTON2 || _mouseDown == MouseEvent.BUTTON3)
-				&& _lastClickedOn == null && _lastClickedIn == null) {
-			Item on = FrameUtils.onItem(DisplayIO.getCurrentFrame(), e.getX(),
-					e.getY(), true);
+		// This is the context of a user clicking in freespace an dragging onto
+		// the edge of a line
+		if (	(_mouseDown == MouseEvent.BUTTON2 || _mouseDown == MouseEvent.BUTTON3) &&
+				_lastClickedOn == null &&
+				_lastClickedIn == null)
+		{
+			Item on = FrameUtils.onItem(DisplayIO.getCurrentFrame(), e.getX(), e.getY(), true);
 
 			if (FreeItems.getInstance().size() == 0) {
@@ -2101,6 +1808,5 @@
 					on.setHighlightMode(Item.HighlightMode.Normal);
 				} else if (_lastHighlightedItem != null) {
-					_lastHighlightedItem
-							.setHighlightMode(Item.HighlightMode.None);
+					_lastHighlightedItem.setHighlightMode(Item.HighlightMode.None);
 					_lastHighlightedItem = null;
 				}
@@ -2110,29 +1816,14 @@
 		// Use the below calculation for better speed. If it causes problems
 		// switch back to the Euclidean distance calculation
-		if (Math.abs(MouseX - e.getX()) > UserSettings.NoOpThreshold.get()
-				|| Math.abs(MouseY - e.getY()) > UserSettings.NoOpThreshold.get())
+		if (	Math.abs(MouseX - e.getX()) > UserSettings.NoOpThreshold.get() ||
+				Math.abs(MouseY - e.getY()) > UserSettings.NoOpThreshold.get())
+		{
 			_isNoOp = true;
-
+		}
+		
 		FrameGraphics.Repaint();
 	}
 
 	private static MouseEvent _lastMouseMoved = null;
-
-	private static Integer LastRobotX = null;
-
-	private static Integer LastRobotY = null;
-
-	// For some reason... sometimes the mouse move gets lost when moving the
-	// mouse really quickly after clicking...
-	// Use this timer to make sure it gets reset eventually if the Robot
-	// generated event never arrives.
-	private static Timer _RobotTimer = new Timer(200, new ActionListener() {
-		public void actionPerformed(ActionEvent ae) {
-			_RobotTimer.stop();
-			LastRobotX = null;
-			LastRobotY = null;
-			// System.out.println("RobotTimer");
-		}
-	});
 
 	private static Timer _autoStampTimer = new Timer(200, new ActionListener() {
@@ -2152,28 +1843,4 @@
 	}
 
-	public static boolean isControlDown() {
-		return _controlDown;
-	}
-
-	public static boolean isShiftDown() {
-		return _shiftDown;
-	}
-
-	public static void setLastRobotMove(float x, float y) {
-		// Make sure the system is in the right state while waiting for the
-		// Robots event to arrive.
-		MouseX = x;
-		MouseY = y;
-		// System.out.println("MouseMoved: " + MouseX + "," + MouseY + " " +
-		// System.currentTimeMillis());
-		LastRobotX = Math.round(x);
-		LastRobotY = Math.round(y);
-		_RobotTimer.start();
-	}
-
-	public static boolean isWaitingForRobot() {
-		return LastRobotX != null;
-	}
-
 	/**
 	 * Updates the stored mouse position and highlights any items as necessary.
